### Hierarchy

- AtomStyle
  - AtomContentStyle

### Implements

- IAtomStyle

## Index

### Constructors

- constructor

### Properties

- name
- styleSheet

### Accessors

- root

### Methods

- build
- getBaseProperty
- toString

## Constructors

### constructor

- new AtomContentStyle(styleSheet: AtomStyleSheet, name: string): AtomContentStyle

- Inherited from AtomStyle.constructor

  - Defined in src/web/styles/AtomStyle.ts:26

  #### Parameters

  - ##### styleSheet: AtomStyleSheet

  - ##### name: string

  #### Returns AtomContentStyle

## Properties

### name

name: string

Implementation of IAtomStyle.name

Inherited from AtomStyle.name

- Defined in src/web/styles/AtomStyle.ts:30

### styleSheet

styleSheet: AtomStyleSheet

Inherited from AtomStyle.styleSheet

- Defined in src/web/styles/AtomStyle.ts:29

## Accessors

### root

- get root(): IStyleDeclaration

- Overrides AtomStyle.root

  - Defined in src/web/controls/AtomContentControl.ts:38

  #### Returns IStyleDeclaration

## Methods

### build

- build(): void

- Inherited from AtomStyle.build

  - Defined in src/web/styles/AtomStyle.ts:50

  #### Returns void

### getBaseProperty

- getBaseProperty<T>(tc: IClassOf<T>, name: keyof this): any

- Inherited from AtomStyle.getBaseProperty

  - Defined in src/web/styles/AtomStyle.ts:35

  #### Type parameters

  - #### T

  #### Parameters

  - ##### tc: IClassOf<T>

  - ##### name: keyof this

  #### Returns any

### toString

- toString(): string

- Inherited from AtomStyle.toString

  - Defined in src/web/styles/AtomStyle.ts:57

  #### Returns string

Generated using TypeDoc